Subject: Re: bug#60198: 30.0.50; Eglot: Spelling error for vscode-json-languageserver

From: Eli Zaretskii <[email-masked]>
Date: Tue, 20 Dec 2022 16:32:39 +0200

> Cc: Benjamin Orthen <[email-masked]>, [email-masked]
> From: Brian Leung <[email-masked]>
> Date: Tue, 20 Dec 2022 10:25:14 +0000
> 
> 
> João Távora <[email-masked]> writes:
> 
> > OK with me.  Are we sure that we can't just have one of them? 
> > Maybe
> > those other distributions which create the "language-server" 
> > variety 
> > _also_ create the "languageserver" version? Anyway, again, looks
> > ok to me, but let's try not to get too slippery on this slope.
> > Sometimes a misspelling is just a misspelling and we shouldn't
> > help perpetuate it.
> >
> > João
> 
> See 
> https://github.com/nixos/nixpkgs/blob/6844c91781fdad8ad523b77ec9d1f35ff407a8e6/pkgs/development/node-packages/node-packages.json#L383-L387.
> 
> It appears that there are no executables named 
> vscode-{css,html}-languageserver, so the only way of accessing 
> those corresponding executables (at least in Nix) is via 
> nodePackages.vscode-langservers-extracted, which provides 
> vscode-{css,html,json}-language-server. Meanwhile, 
> vscode-{css,html}-languageserver-bin are already accounted for in 
> eglot-server-programs via the executables 
> {css,html}-languageserver.
> 
> So I think we should keep support for the "language-server" 
> variants as well.

Thanks, so I've now installed your patch on the emacs-29 branch, and
I'm closing this bug.